
#ifndef HitRecord_h
#define HitRecord_h

#define EPSILON (0.0000001f)

class HitRecord {
 public:
  HitRecord(const float max) {
    obj_id = 0;
    min = max;
    did_hit = false;
  }
  inline bool hit(const float &t, const int &id) {
    if(t > EPSILON && t < min){
      min = t;
      obj_id = id;
      did_hit = true;
      return true;
    } else {
      return false;
    }
  }
  inline float minT() const {
    return min;
  }
  inline int getID() const {
    return obj_id;
  }
  inline bool didHit() const {
    return did_hit;
  }
  
 private:
  float min;
  int obj_id;
  bool did_hit;
};

#endif
